Campaign statistics
curl --request GET \
--url https://api.botdog.co/v1/campaigns/{id}/statistics \
--header 'x-api-key: <api-key>'import requests
url = "https://api.botdog.co/v1/campaigns/{id}/statistics"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.botdog.co/v1/campaigns/{id}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignId": "cm1abc123def456",
"campaignName": "Cold Outreach - ML Engineers",
"status": "ACTIVE",
"owner": "sid@pavoai.com",
"statistics": {
"progress": 45.2,
"totalLeadCount": 500,
"totalLeadsInProgress": 224,
"totalLeadsSkipped": 12,
"invitationsSent": 264,
"invitationsAccepted": 37,
"invitationsSkipped": 5,
"messagesSent": 37,
"inmailsSent": 0,
"messagesReplied": 3,
"profileVisits": 264,
"companyInvitationsSent": 0,
"postsReactions": 0,
"aiAccepted": 480,
"aiRejected": 8
},
"rates": {
"invitationAcceptanceRate": 14,
"messageReplyRate": 6
}
}campaigns
Campaign statistics
Detailed campaign performance: invitations/messages sent and accepted/replied, profile visits, and rates.
GET
/
v1
/
campaigns
/
{id}
/
statistics
Campaign statistics
Authorizations
Path Parameters
Response
Campaign statistics with rates
Was this page helpful?
⌘I